Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.ejb.usermgmt
Interface RealmConfiguration

    @ControlInterface
    public interface RealmConfiguration

* This is the public interface for keeping personalization profile records in sync with the WLS realm. It checks for user names that have profiles, but have no corresponding user in any of the authentication providers. It then deletes those profiles.
Security requirements: The caller must be in the role of "PortalSystemAdministrator" to invoke these methods

Method Summary
`void` | `cleanupMisconfiguredGroups()` Removes misconfigured groups (those with profiles, but no corresponding group in the authentication provider).
`void` | `cleanupMisconfiguredUsers()` Removes misconfigured users (those with profiles, but no corresponding group in the authentication provider).
`String[]` | `getGroupProfileNames()` Returns just the group profile names.
`String[]` | `getMisconfiguredGroups()` Returns the group names that have profiles, but group does not exist in the authentication provider.
`String[]` | `getMisconfiguredUsers()` Returns the user names that have profiles, but user does not exist in the authentication provider.
`String[]` | `getRealmGroups()` Get a list of groups in all authentication providers configured for the realm.
`String[]` | `getRealmUsers()` Get a list of groups in all authentication providers configured for the realm.
`String[]` | `getUserProfileNames()` Returns just the user profiles.
`boolean` | `isManageableRealm()` Determine if the current realm is writable.

Method Detail

### cleanupMisconfiguredGroups

    void cleanupMisconfiguredGroups()
                                    throws P13nControlException

  Removes misconfigured groups (those with profiles, but no corresponding group in the authentication provider). The profile is removed for a misconfigured group. Caller must be in the role of PortalSystemAdminstrator

  Throws
    `P13nControlException` - if errors cleaning up groups, or if caller is not in allowed role

### cleanupMisconfiguredUsers

    void cleanupMisconfiguredUsers()
                                   throws P13nControlException

  Removes misconfigured users (those with profiles, but no corresponding group in the authentication provider). The profile is removed for a misconfigured user. Caller must be in the role of PortalSystemAdminstrator

  Throws
    `P13nControlException` - if errors cleaning up users, or if caller is not in allowed role

### getGroupProfileNames

    String[] getGroupProfileNames()
                                  throws P13nControlException

  Returns just the group profile names. Caller must be in the role of PortalSystemAdminstrator

  Returns
    a list of groups in the database
  Throws
    `P13nControlException` - if errors accessing the database, or if caller is not in allowed role

### getMisconfiguredGroups

    String[] getMisconfiguredGroups()
                                    throws P13nControlException

  Returns the group names that have profiles, but group does not exist in the authentication provider. Caller must be in the role of PortalSystemAdminstrator

  Returns
    the names for the groups that are misconfigured
  Throws
    `P13nControlException` - if user find error, or if caller is not in allowed role

### getMisconfiguredUsers

    String[] getMisconfiguredUsers()
                                   throws P13nControlException

  Returns the user names that have profiles, but user does not exist in the authentication provider. Caller must be in the role of PortalSystemAdminstrator

  Returns
    the usersnames for the users that are misconfigured
  Throws
    `P13nControlException` - if user find error, or if caller is not in allowed role

### getRealmGroups

    String[] getRealmGroups()
                            throws P13nControlException

  Get a list of groups in all authentication providers configured for the realm. Caller must be in the role of PortalSystemAdminstrator

  Throws
    `P13nControlException` - if error accessing realm, or if caller is not in allowed role

### getRealmUsers

    String[] getRealmUsers()
                           throws P13nControlException

  Get a list of groups in all authentication providers configured for the realm. Caller must be in the role of PortalSystemAdminstrator

  Throws
    `P13nControlException` - if error accessing realm, or if caller is not in allowed role

### getUserProfileNames

    String[] getUserProfileNames()
                                 throws P13nControlException

  Returns just the user profiles. Caller must be in the role of PortalSystemAdminstrator

  Returns
    a list of usernames in the database
  Throws
    `P13nControlException` - if errors accessing the database, or if caller is not in allowed role

### isManageableRealm

    boolean isManageableRealm()
                              throws P13nControlException

  Determine if the current realm is writable. Caller must be in the role of PortalSystemAdminstrator

  Returns
    true if it is, false otherwise.
  Throws
    `P13nControlException` - if runtime errors, or if caller is not in allowed role

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.